import{S as qa,i as Da,s as Sa,e as r,k as h,w as v,t as n,M as Oa,c as a,d as t,m as p,a as s,x as T,h as i,b as d,G as o,g as f,y as $,q as w,o as V,B as H,v as Ra,L as Rr}from"../../chunks/vendor-hf-doc-builder.js";import{T as Fa}from"../../chunks/Tip-hf-doc-builder.js";import{D as he}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Lr}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Oe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Or}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as La}from"../../chunks/PipelineTag-hf-doc-builder.js";function Wa(P){let m,y,_,g,b;return g=new Lr({props:{code:`from transformers import ViTHybridConfig, ViTHybridModel

# Initializing a ViT Hybrid vit-hybrid-base-bit-384 style configuration
configuration = ViTHybridConfig()

# Initializing a model (with random weights) from the vit-hybrid-base-bit-384 style configuration
model = ViTHybridModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ViTHybridConfig, ViTHybridModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a ViT Hybrid vit-hybrid-base-bit-384 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = ViTHybridConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the vit-hybrid-base-bit-384 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ViTHybridModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){m=r("p"),y=n("Example:"),_=h(),v(g.$$.fragment)},l(l){m=a(l,"P",{});var u=s(m);y=i(u,"Example:"),u.forEach(t),_=p(l),T(g.$$.fragment,l)},m(l,u){f(l,m,u),o(m,y),f(l,_,u),$(g,l,u),b=!0},p:Rr,i(l){b||(w(g.$$.fragment,l),b=!0)},o(l){V(g.$$.fragment,l),b=!1},d(l){l&&t(m),l&&t(_),H(g,l)}}}function Ua(P){let m,y,_,g,b;return{c(){m=r("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){m=a(l,"P",{});var u=s(m);y=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var E=s(_);g=i(E,"Module"),E.forEach(t),b=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,m,u),o(m,y),o(m,_),o(_,g),o(m,b)},d(l){l&&t(m)}}}function Ba(P){let m,y,_,g,b;return g=new Lr({props:{code:`from transformers import AutoImageProcessor, ViTHybridModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("google/vit-hybrid-base-bit-384")
model = ViTHybridModel.from_pretrained("google/vit-hybrid-base-bit-384")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ViTHybridModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;google/vit-hybrid-base-bit-384&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ViTHybridModel.from_pretrained(<span class="hljs-string">&quot;google/vit-hybrid-base-bit-384&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">197</span>, <span class="hljs-number">768</span>]`}}),{c(){m=r("p"),y=n("Example:"),_=h(),v(g.$$.fragment)},l(l){m=a(l,"P",{});var u=s(m);y=i(u,"Example:"),u.forEach(t),_=p(l),T(g.$$.fragment,l)},m(l,u){f(l,m,u),o(m,y),f(l,_,u),$(g,l,u),b=!0},p:Rr,i(l){b||(w(g.$$.fragment,l),b=!0)},o(l){V(g.$$.fragment,l),b=!1},d(l){l&&t(m),l&&t(_),H(g,l)}}}function Ga(P){let m,y,_,g,b;return{c(){m=r("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){m=a(l,"P",{});var u=s(m);y=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var E=s(_);g=i(E,"Module"),E.forEach(t),b=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){f(l,m,u),o(m,y),o(m,_),o(_,g),o(m,b)},d(l){l&&t(m)}}}function Ja(P){let m,y,_,g,b;return g=new Lr({props:{code:`from transformers import AutoImageProcessor, ViTHybridForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("google/vit-hybrid-base-bit-384")
model = ViTHybridForImageClassification.from_pretrained("google/vit-hybrid-base-bit-384")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ViTHybridForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;google/vit-hybrid-base-bit-384&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ViTHybridForImageClassification.from_pretrained(<span class="hljs-string">&quot;google/vit-hybrid-base-bit-384&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){m=r("p"),y=n("Example:"),_=h(),v(g.$$.fragment)},l(l){m=a(l,"P",{});var u=s(m);y=i(u,"Example:"),u.forEach(t),_=p(l),T(g.$$.fragment,l)},m(l,u){f(l,m,u),o(m,y),f(l,_,u),$(g,l,u),b=!0},p:Rr,i(l){b||(w(g.$$.fragment,l),b=!0)},o(l){V(g.$$.fragment,l),b=!1},d(l){l&&t(m),l&&t(_),H(g,l)}}}function Xa(P){let m,y,_,g,b,l,u,E,it,Ao,q,X,mo,pe,lt,ho,dt,Mo,x,ct,fe,mt,ht,Re,pt,ft,Le,gt,ut,jo,We,_t,No,Ue,po,bt,Fo,j,yt,ge,vt,Tt,ue,$t,wt,qo,D,K,fo,_e,Vt,go,Ht,Do,Be,It,So,be,Oo,Ge,N,Je,kt,Pt,ye,xt,Ct,ve,zt,Et,Ro,Xe,At,Lo,S,Y,uo,Te,Mt,_o,jt,Wo,I,$e,Nt,O,Ft,Ke,qt,Dt,we,St,Ot,Rt,R,Lt,Ye,Wt,Ut,Ze,Bt,Gt,Jt,Z,Xt,Q,Ve,Kt,L,Yt,Qe,Zt,Qt,bo,er,or,Uo,W,ee,yo,He,tr,vo,rr,Bo,A,Ie,ar,To,sr,nr,oe,ke,ir,$o,lr,Go,U,te,wo,Pe,dr,Vo,cr,Jo,M,xe,mr,Ce,hr,ze,pr,fr,gr,C,Ee,ur,B,_r,eo,br,yr,Ho,vr,Tr,$r,re,wr,ae,Xo,G,se,Io,Ae,Vr,ko,Hr,Ko,k,Me,Ir,Po,kr,Pr,je,xr,Ne,Cr,zr,Er,z,Fe,Ar,J,Mr,oo,jr,Nr,xo,Fr,qr,Dr,ne,Sr,ie,Yo;return l=new Oe({}),pe=new Oe({}),_e=new Oe({}),be=new La({props:{pipeline:"image-classification"}}),Te=new Oe({}),$e=new he({props:{name:"class transformers.ViTHybridConfig",anchor:"transformers.ViTHybridConfig",parameters:[{name:"backbone_config",val:" = None"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"image_size",val:" = 224"},{name:"patch_size",val:" = 1"},{name:"num_channels",val:" = 3"},{name:"backbone_featmap_shape",val:" = [1, 1024, 24, 24]"},{name:"qkv_bias",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ViTHybridConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.ViTHybridConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.ViTHybridConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.ViTHybridConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.ViTHybridConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.ViTHybridConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.ViTHybridConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.ViTHybridConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.ViTHybridConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.ViTHybridConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 224) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.ViTHybridConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.ViTHybridConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.ViTHybridConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries, keys and values.`,name:"qkv_bias"},{anchor:"transformers.ViTHybridConfig.backbone_config",description:`<strong>backbone_config</strong> (<code>Union[Dict[str, Any], PretrainedConfig]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The configuration of the backbone in a dictionary or the config object of the backbone.`,name:"backbone_config"},{anchor:"transformers.ViTHybridConfig.backbone_featmap_shape",description:`<strong>backbone_featmap_shape</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 1024, 24, 24]</code>) &#x2014;
Used only for the <code>hybrid</code> embedding type. The shape of the feature maps of the backbone.`,name:"backbone_featmap_shape"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/configuration_vit_hybrid.py#L34"}}),Z=new Or({props:{anchor:"transformers.ViTHybridConfig.example",$$slots:{default:[Wa]},$$scope:{ctx:P}}}),Ve=new he({props:{name:"to_dict",anchor:"transformers.ViTHybridConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/configuration_vit_hybrid.py#L150"}}),He=new Oe({}),Ie=new he({props:{name:"class transformers.ViTHybridImageProcessor",anchor:"transformers.ViTHybridImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BICUBIC: 3>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_convert_rgb",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ViTHybridImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by
<code>do_resize</code> in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.ViTHybridImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 224}</code>):
Size of the image after resizing. The shortest edge of the image is resized to size[&#x201C;shortest_edge&#x201D;], with
the longest edge resized to keep the input aspect ratio. Can be overridden by <code>size</code> in the <code>preprocess</code>
method.`,name:"size"},{anchor:"transformers.ViTHybridImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BICUBIC</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by <code>resample</code> in the <code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.ViTHybridImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image to the specified <code>crop_size</code>. Can be overridden by <code>do_center_crop</code> in the
<code>preprocess</code> method.`,name:"do_center_crop"},{anchor:"transformers.ViTHybridImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to 224) &#x2014;
Size of the output image after applying <code>center_crop</code>. Can be overridden by <code>crop_size</code> in the <code>preprocess</code>
method.`,name:"crop_size"},{anchor:"transformers.ViTHybridImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by <code>do_rescale</code> in
the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.ViTHybridImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by <code>rescale_factor</code> in the <code>preprocess</code>
method.
do_normalize &#x2014;
Whether to normalize the image. Can be overridden by <code>do_normalize</code> in the <code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.ViTHybridImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.ViTHybridImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.ViTHybridImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"do_convert_rgb"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/image_processing_vit_hybrid.py#L45"}}),ke=new he({props:{name:"preprocess",anchor:"transformers.ViTHybridImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = None"},{name:"do_center_crop",val:": bool = None"},{name:"crop_size",val:": int = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_convert_rgb",val:": bool = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": typing.Optional[transformers.image_utils.ChannelDimension] = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ViTHybridImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after resizing. Shortest edge of the image is resized to size[&#x201C;shortest_edge&#x201D;], with
the longest edge resized to keep the input aspect ratio.`,name:"size"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>. Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_center_crop</code>) &#x2014;
Whether to center crop the image.`,name:"do_center_crop"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.crop_size</code>) &#x2014;
Size of the center crop. Only has an effect if <code>do_center_crop</code> is set to <code>True</code>.`,name:"crop_size"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image.`,name:"do_rescale"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean to use for normalization. Only has an effect if <code>do_normalize</code> is set to <code>True</code>.`,name:"image_mean"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation to use for normalization. Only has an effect if <code>do_normalize</code> is set to
<code>True</code>.`,name:"image_std"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_convert_rgb</code>) &#x2014;
Whether to convert the image to RGB.`,name:"do_convert_rgb"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.ViTHybridImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
<li>Unset: defaults to the channel dimension format of the input image.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/image_processing_vit_hybrid.py#L213"}}),Pe=new Oe({}),xe=new he({props:{name:"class transformers.ViTHybridModel",anchor:"transformers.ViTHybridModel",parameters:[{name:"config",val:": ViTHybridConfig"},{name:"add_pooling_layer",val:": bool = True"},{name:"use_mask_token",val:": bool = False"}],parametersDescription:[{anchor:"transformers.ViTHybridModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridConfig">ViTHybridConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/modeling_vit_hybrid.py#L535"}}),Ee=new he({props:{name:"forward",anchor:"transformers.ViTHybridModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"bool_masked_pos",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"interpolate_pos_encoding",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ViTHybridModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.1/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ViTHybridImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ViTHybridModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ViTHybridModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ViTHybridModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ViTHybridModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/modeling_vit_hybrid.py#L560",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridConfig"
>ViTHybridConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),re=new Fa({props:{$$slots:{default:[Ua]},$$scope:{ctx:P}}}),ae=new Or({props:{anchor:"transformers.ViTHybridModel.forward.example",$$slots:{default:[Ba]},$$scope:{ctx:P}}}),Ae=new Oe({}),Me=new he({props:{name:"class transformers.ViTHybridForImageClassification",anchor:"transformers.ViTHybridForImageClassification",parameters:[{name:"config",val:": ViTHybridConfig"}],parametersDescription:[{anchor:"transformers.ViTHybridForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridConfig">ViTHybridConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.1/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/modeling_vit_hybrid.py#L650"}}),Fe=new he({props:{name:"forward",anchor:"transformers.ViTHybridForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"interpolate_pos_encoding",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ViTHybridForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.1/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.1/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ViTHybridImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ViTHybridForImageClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ViTHybridForImageClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ViTHybridForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ViTHybridForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ViTHybridForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.1/src/transformers/models/vit_hybrid/modeling_vit_hybrid.py#L663",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridConfig"
>ViTHybridConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states
(also called feature maps) of the model at the output of each stage.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.1/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ne=new Fa({props:{$$slots:{default:[Ga]},$$scope:{ctx:P}}}),ie=new Or({props:{anchor:"transformers.ViTHybridForImageClassification.forward.example",$$slots:{default:[Ja]},$$scope:{ctx:P}}}),{c(){m=r("meta"),y=h(),_=r("h1"),g=r("a"),b=r("span"),v(l.$$.fragment),u=h(),E=r("span"),it=n("Hybrid Vision Transformer (ViT Hybrid)"),Ao=h(),q=r("h2"),X=r("a"),mo=r("span"),v(pe.$$.fragment),lt=h(),ho=r("span"),dt=n("Overview"),Mo=h(),x=r("p"),ct=n("The hybrid Vision Transformer (ViT) model was proposed in "),fe=r("a"),mt=n(`An Image is Worth 16x16 Words: Transformers for Image Recognition
at Scale`),ht=n(` by Alexey Dosovitskiy, Lucas Beyer, Alexander Kolesnikov, Dirk
Weissenborn, Xiaohua Zhai, Thomas Unterthiner, Mostafa Dehghani, Matthias Minderer, Georg Heigold, Sylvain Gelly, Jakob
Uszkoreit, Neil Houlsby. It\u2019s the first paper that successfully trains a Transformer encoder on ImageNet, attaining
very good results compared to familiar convolutional architectures. ViT hybrid is a slight variant of the `),Re=r("a"),pt=n("plain Vision Transformer"),ft=n(`,
by leveraging a convolutional backbone (specifically, `),Le=r("a"),gt=n("BiT"),ut=n(") whose features are used as initial \u201Ctokens\u201D for the Transformer."),jo=h(),We=r("p"),_t=n("The abstract from the paper is the following:"),No=h(),Ue=r("p"),po=r("em"),bt=n(`While the Transformer architecture has become the de-facto standard for natural language processing tasks, its
applications to computer vision remain limited. In vision, attention is either applied in conjunction with
convolutional networks, or used to replace certain components of convolutional networks while keeping their overall
structure in place. We show that this reliance on CNNs is not necessary and a pure transformer applied directly to
sequences of image patches can perform very well on image classification tasks. When pre-trained on large amounts of
data and transferred to multiple mid-sized or small image recognition benchmarks (ImageNet, CIFAR-100, VTAB, etc.),
Vision Transformer (ViT) attains excellent results compared to state-of-the-art convolutional networks while requiring
substantially fewer computational resources to train.`),Fo=h(),j=r("p"),yt=n("This model was contributed by "),ge=r("a"),vt=n("nielsr"),Tt=n(`. The original code (written in JAX) can be
found `),ue=r("a"),$t=n("here"),wt=n("."),qo=h(),D=r("h2"),K=r("a"),fo=r("span"),v(_e.$$.fragment),Vt=h(),go=r("span"),Ht=n("Resources"),Do=h(),Be=r("p"),It=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ViT Hybrid."),So=h(),v(be.$$.fragment),Oo=h(),Ge=r("ul"),N=r("li"),Je=r("a"),kt=n("ViTHybridForImageClassification"),Pt=n(" is supported by this "),ye=r("a"),xt=n("example script"),Ct=n(" and "),ve=r("a"),zt=n("notebook"),Et=n("."),Ro=h(),Xe=r("p"),At=n("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Lo=h(),S=r("h2"),Y=r("a"),uo=r("span"),v(Te.$$.fragment),Mt=h(),_o=r("span"),jt=n("ViTHybridConfig"),Wo=h(),I=r("div"),v($e.$$.fragment),Nt=h(),O=r("p"),Ft=n("This is the configuration class to store the configuration of a "),Ke=r("a"),qt=n("ViTHybridModel"),Dt=n(`. It is used to instantiate a ViT
Hybrid model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ViT Hybrid
`),we=r("a"),St=n("google/vit-hybrid-base-bit-384"),Ot=n(" architecture."),Rt=h(),R=r("p"),Lt=n("Configuration objects inherit from "),Ye=r("a"),Wt=n("PretrainedConfig"),Ut=n(` and can be used to control the model outputs. Read the
documentation from `),Ze=r("a"),Bt=n("PretrainedConfig"),Gt=n(" for more information."),Jt=h(),v(Z.$$.fragment),Xt=h(),Q=r("div"),v(Ve.$$.fragment),Kt=h(),L=r("p"),Yt=n("Serializes this instance to a Python dictionary. Override the default "),Qe=r("a"),Zt=n("to_dict()"),Qt=n(`. Returns:
`),bo=r("code"),er=n("Dict[str, any]"),or=n(": Dictionary of all the attributes that make up this configuration instance,"),Uo=h(),W=r("h2"),ee=r("a"),yo=r("span"),v(He.$$.fragment),tr=h(),vo=r("span"),rr=n("ViTHybridImageProcessor"),Bo=h(),A=r("div"),v(Ie.$$.fragment),ar=h(),To=r("p"),sr=n("Constructs a ViT Hybrid image processor."),nr=h(),oe=r("div"),v(ke.$$.fragment),ir=h(),$o=r("p"),lr=n("Preprocess an image or batch of images."),Go=h(),U=r("h2"),te=r("a"),wo=r("span"),v(Pe.$$.fragment),dr=h(),Vo=r("span"),cr=n("ViTHybridModel"),Jo=h(),M=r("div"),v(xe.$$.fragment),mr=h(),Ce=r("p"),hr=n(`The bare ViT Hybrid Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),ze=r("a"),pr=n("torch.nn.Module"),fr=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),gr=h(),C=r("div"),v(Ee.$$.fragment),ur=h(),B=r("p"),_r=n("The "),eo=r("a"),br=n("ViTHybridModel"),yr=n(" forward method, overrides the "),Ho=r("code"),vr=n("__call__"),Tr=n(" special method."),$r=h(),v(re.$$.fragment),wr=h(),v(ae.$$.fragment),Xo=h(),G=r("h2"),se=r("a"),Io=r("span"),v(Ae.$$.fragment),Vr=h(),ko=r("span"),Hr=n("ViTHybridForImageClassification"),Ko=h(),k=r("div"),v(Me.$$.fragment),Ir=h(),Po=r("p"),kr=n(`ViT Hybrid Model transformer with an image classification head on top (a linear layer on top of the final hidden
state of the [CLS] token) e.g. for ImageNet.`),Pr=h(),je=r("p"),xr=n("This model is a PyTorch "),Ne=r("a"),Cr=n("torch.nn.Module"),zr=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Er=h(),z=r("div"),v(Fe.$$.fragment),Ar=h(),J=r("p"),Mr=n("The "),oo=r("a"),jr=n("ViTHybridForImageClassification"),Nr=n(" forward method, overrides the "),xo=r("code"),Fr=n("__call__"),qr=n(" special method."),Dr=h(),v(ne.$$.fragment),Sr=h(),v(ie.$$.fragment),this.h()},l(e){const c=Oa('[data-svelte="svelte-1phssyn"]',document.head);m=a(c,"META",{name:!0,content:!0}),c.forEach(t),y=p(e),_=a(e,"H1",{class:!0});var qe=s(_);g=a(qe,"A",{id:!0,class:!0,href:!0});var Co=s(g);b=a(Co,"SPAN",{});var zo=s(b);T(l.$$.fragment,zo),zo.forEach(t),Co.forEach(t),u=p(qe),E=a(qe,"SPAN",{});var Eo=s(E);it=i(Eo,"Hybrid Vision Transformer (ViT Hybrid)"),Eo.forEach(t),qe.forEach(t),Ao=p(e),q=a(e,"H2",{class:!0});var De=s(q);X=a(De,"A",{id:!0,class:!0,href:!0});var Wr=s(X);mo=a(Wr,"SPAN",{});var Ur=s(mo);T(pe.$$.fragment,Ur),Ur.forEach(t),Wr.forEach(t),lt=p(De),ho=a(De,"SPAN",{});var Br=s(ho);dt=i(Br,"Overview"),Br.forEach(t),De.forEach(t),Mo=p(e),x=a(e,"P",{});var le=s(x);ct=i(le,"The hybrid Vision Transformer (ViT) model was proposed in "),fe=a(le,"A",{href:!0,rel:!0});var Gr=s(fe);mt=i(Gr,`An Image is Worth 16x16 Words: Transformers for Image Recognition
at Scale`),Gr.forEach(t),ht=i(le,` by Alexey Dosovitskiy, Lucas Beyer, Alexander Kolesnikov, Dirk
Weissenborn, Xiaohua Zhai, Thomas Unterthiner, Mostafa Dehghani, Matthias Minderer, Georg Heigold, Sylvain Gelly, Jakob
Uszkoreit, Neil Houlsby. It\u2019s the first paper that successfully trains a Transformer encoder on ImageNet, attaining
very good results compared to familiar convolutional architectures. ViT hybrid is a slight variant of the `),Re=a(le,"A",{href:!0});var Jr=s(Re);pt=i(Jr,"plain Vision Transformer"),Jr.forEach(t),ft=i(le,`,
by leveraging a convolutional backbone (specifically, `),Le=a(le,"A",{href:!0});var Xr=s(Le);gt=i(Xr,"BiT"),Xr.forEach(t),ut=i(le,") whose features are used as initial \u201Ctokens\u201D for the Transformer."),le.forEach(t),jo=p(e),We=a(e,"P",{});var Kr=s(We);_t=i(Kr,"The abstract from the paper is the following:"),Kr.forEach(t),No=p(e),Ue=a(e,"P",{});var Yr=s(Ue);po=a(Yr,"EM",{});var Zr=s(po);bt=i(Zr,`While the Transformer architecture has become the de-facto standard for natural language processing tasks, its
applications to computer vision remain limited. In vision, attention is either applied in conjunction with
convolutional networks, or used to replace certain components of convolutional networks while keeping their overall
structure in place. We show that this reliance on CNNs is not necessary and a pure transformer applied directly to
sequences of image patches can perform very well on image classification tasks. When pre-trained on large amounts of
data and transferred to multiple mid-sized or small image recognition benchmarks (ImageNet, CIFAR-100, VTAB, etc.),
Vision Transformer (ViT) attains excellent results compared to state-of-the-art convolutional networks while requiring
substantially fewer computational resources to train.`),Zr.forEach(t),Yr.forEach(t),Fo=p(e),j=a(e,"P",{});var to=s(j);yt=i(to,"This model was contributed by "),ge=a(to,"A",{href:!0,rel:!0});var Qr=s(ge);vt=i(Qr,"nielsr"),Qr.forEach(t),Tt=i(to,`. The original code (written in JAX) can be
found `),ue=a(to,"A",{href:!0,rel:!0});var ea=s(ue);$t=i(ea,"here"),ea.forEach(t),wt=i(to,"."),to.forEach(t),qo=p(e),D=a(e,"H2",{class:!0});var Zo=s(D);K=a(Zo,"A",{id:!0,class:!0,href:!0});var oa=s(K);fo=a(oa,"SPAN",{});var ta=s(fo);T(_e.$$.fragment,ta),ta.forEach(t),oa.forEach(t),Vt=p(Zo),go=a(Zo,"SPAN",{});var ra=s(go);Ht=i(ra,"Resources"),ra.forEach(t),Zo.forEach(t),Do=p(e),Be=a(e,"P",{});var aa=s(Be);It=i(aa,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ViT Hybrid."),aa.forEach(t),So=p(e),T(be.$$.fragment,e),Oo=p(e),Ge=a(e,"UL",{});var sa=s(Ge);N=a(sa,"LI",{});var Se=s(N);Je=a(Se,"A",{href:!0});var na=s(Je);kt=i(na,"ViTHybridForImageClassification"),na.forEach(t),Pt=i(Se," is supported by this "),ye=a(Se,"A",{href:!0,rel:!0});var ia=s(ye);xt=i(ia,"example script"),ia.forEach(t),Ct=i(Se," and "),ve=a(Se,"A",{href:!0,rel:!0});var la=s(ve);zt=i(la,"notebook"),la.forEach(t),Et=i(Se,"."),Se.forEach(t),sa.forEach(t),Ro=p(e),Xe=a(e,"P",{});var da=s(Xe);At=i(da,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),da.forEach(t),Lo=p(e),S=a(e,"H2",{class:!0});var Qo=s(S);Y=a(Qo,"A",{id:!0,class:!0,href:!0});var ca=s(Y);uo=a(ca,"SPAN",{});var ma=s(uo);T(Te.$$.fragment,ma),ma.forEach(t),ca.forEach(t),Mt=p(Qo),_o=a(Qo,"SPAN",{});var ha=s(_o);jt=i(ha,"ViTHybridConfig"),ha.forEach(t),Qo.forEach(t),Wo=p(e),I=a(e,"DIV",{class:!0});var F=s(I);T($e.$$.fragment,F),Nt=p(F),O=a(F,"P",{});var ro=s(O);Ft=i(ro,"This is the configuration class to store the configuration of a "),Ke=a(ro,"A",{href:!0});var pa=s(Ke);qt=i(pa,"ViTHybridModel"),pa.forEach(t),Dt=i(ro,`. It is used to instantiate a ViT
Hybrid model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ViT Hybrid
`),we=a(ro,"A",{href:!0,rel:!0});var fa=s(we);St=i(fa,"google/vit-hybrid-base-bit-384"),fa.forEach(t),Ot=i(ro," architecture."),ro.forEach(t),Rt=p(F),R=a(F,"P",{});var ao=s(R);Lt=i(ao,"Configuration objects inherit from "),Ye=a(ao,"A",{href:!0});var ga=s(Ye);Wt=i(ga,"PretrainedConfig"),ga.forEach(t),Ut=i(ao,` and can be used to control the model outputs. Read the
documentation from `),Ze=a(ao,"A",{href:!0});var ua=s(Ze);Bt=i(ua,"PretrainedConfig"),ua.forEach(t),Gt=i(ao," for more information."),ao.forEach(t),Jt=p(F),T(Z.$$.fragment,F),Xt=p(F),Q=a(F,"DIV",{class:!0});var et=s(Q);T(Ve.$$.fragment,et),Kt=p(et),L=a(et,"P",{});var so=s(L);Yt=i(so,"Serializes this instance to a Python dictionary. Override the default "),Qe=a(so,"A",{href:!0});var _a=s(Qe);Zt=i(_a,"to_dict()"),_a.forEach(t),Qt=i(so,`. Returns:
`),bo=a(so,"CODE",{});var ba=s(bo);er=i(ba,"Dict[str, any]"),ba.forEach(t),or=i(so,": Dictionary of all the attributes that make up this configuration instance,"),so.forEach(t),et.forEach(t),F.forEach(t),Uo=p(e),W=a(e,"H2",{class:!0});var ot=s(W);ee=a(ot,"A",{id:!0,class:!0,href:!0});var ya=s(ee);yo=a(ya,"SPAN",{});var va=s(yo);T(He.$$.fragment,va),va.forEach(t),ya.forEach(t),tr=p(ot),vo=a(ot,"SPAN",{});var Ta=s(vo);rr=i(Ta,"ViTHybridImageProcessor"),Ta.forEach(t),ot.forEach(t),Bo=p(e),A=a(e,"DIV",{class:!0});var no=s(A);T(Ie.$$.fragment,no),ar=p(no),To=a(no,"P",{});var $a=s(To);sr=i($a,"Constructs a ViT Hybrid image processor."),$a.forEach(t),nr=p(no),oe=a(no,"DIV",{class:!0});var tt=s(oe);T(ke.$$.fragment,tt),ir=p(tt),$o=a(tt,"P",{});var wa=s($o);lr=i(wa,"Preprocess an image or batch of images."),wa.forEach(t),tt.forEach(t),no.forEach(t),Go=p(e),U=a(e,"H2",{class:!0});var rt=s(U);te=a(rt,"A",{id:!0,class:!0,href:!0});var Va=s(te);wo=a(Va,"SPAN",{});var Ha=s(wo);T(Pe.$$.fragment,Ha),Ha.forEach(t),Va.forEach(t),dr=p(rt),Vo=a(rt,"SPAN",{});var Ia=s(Vo);cr=i(Ia,"ViTHybridModel"),Ia.forEach(t),rt.forEach(t),Jo=p(e),M=a(e,"DIV",{class:!0});var io=s(M);T(xe.$$.fragment,io),mr=p(io),Ce=a(io,"P",{});var at=s(Ce);hr=i(at,`The bare ViT Hybrid Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),ze=a(at,"A",{href:!0,rel:!0});var ka=s(ze);pr=i(ka,"torch.nn.Module"),ka.forEach(t),fr=i(at,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),at.forEach(t),gr=p(io),C=a(io,"DIV",{class:!0});var de=s(C);T(Ee.$$.fragment,de),ur=p(de),B=a(de,"P",{});var lo=s(B);_r=i(lo,"The "),eo=a(lo,"A",{href:!0});var Pa=s(eo);br=i(Pa,"ViTHybridModel"),Pa.forEach(t),yr=i(lo," forward method, overrides the "),Ho=a(lo,"CODE",{});var xa=s(Ho);vr=i(xa,"__call__"),xa.forEach(t),Tr=i(lo," special method."),lo.forEach(t),$r=p(de),T(re.$$.fragment,de),wr=p(de),T(ae.$$.fragment,de),de.forEach(t),io.forEach(t),Xo=p(e),G=a(e,"H2",{class:!0});var st=s(G);se=a(st,"A",{id:!0,class:!0,href:!0});var Ca=s(se);Io=a(Ca,"SPAN",{});var za=s(Io);T(Ae.$$.fragment,za),za.forEach(t),Ca.forEach(t),Vr=p(st),ko=a(st,"SPAN",{});var Ea=s(ko);Hr=i(Ea,"ViTHybridForImageClassification"),Ea.forEach(t),st.forEach(t),Ko=p(e),k=a(e,"DIV",{class:!0});var ce=s(k);T(Me.$$.fragment,ce),Ir=p(ce),Po=a(ce,"P",{});var Aa=s(Po);kr=i(Aa,`ViT Hybrid Model transformer with an image classification head on top (a linear layer on top of the final hidden
state of the [CLS] token) e.g. for ImageNet.`),Aa.forEach(t),Pr=p(ce),je=a(ce,"P",{});var nt=s(je);xr=i(nt,"This model is a PyTorch "),Ne=a(nt,"A",{href:!0,rel:!0});var Ma=s(Ne);Cr=i(Ma,"torch.nn.Module"),Ma.forEach(t),zr=i(nt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),nt.forEach(t),Er=p(ce),z=a(ce,"DIV",{class:!0});var me=s(z);T(Fe.$$.fragment,me),Ar=p(me),J=a(me,"P",{});var co=s(J);Mr=i(co,"The "),oo=a(co,"A",{href:!0});var ja=s(oo);jr=i(ja,"ViTHybridForImageClassification"),ja.forEach(t),Nr=i(co," forward method, overrides the "),xo=a(co,"CODE",{});var Na=s(xo);Fr=i(Na,"__call__"),Na.forEach(t),qr=i(co," special method."),co.forEach(t),Dr=p(me),T(ne.$$.fragment,me),Sr=p(me),T(ie.$$.fragment,me),me.forEach(t),ce.forEach(t),this.h()},h(){d(m,"name","hf:doc:metadata"),d(m,"content",JSON.stringify(Ka)),d(g,"id","hybrid-vision-transformer-vit-hybrid"),d(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(g,"href","#hybrid-vision-transformer-vit-hybrid"),d(_,"class","relative group"),d(X,"id","overview"),d(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(X,"href","#overview"),d(q,"class","relative group"),d(fe,"href","https://arxiv.org/abs/2010.11929"),d(fe,"rel","nofollow"),d(Re,"href","vit"),d(Le,"href","bit"),d(ge,"href","https://huggingface.co/nielsr"),d(ge,"rel","nofollow"),d(ue,"href","https://github.com/google-research/vision_transformer"),d(ue,"rel","nofollow"),d(K,"id","resources"),d(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(K,"href","#resources"),d(D,"class","relative group"),d(Je,"href","/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridForImageClassification"),d(ye,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),d(ye,"rel","nofollow"),d(ve,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),d(ve,"rel","nofollow"),d(Y,"id","transformers.ViTHybridConfig"),d(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Y,"href","#transformers.ViTHybridConfig"),d(S,"class","relative group"),d(Ke,"href","/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridModel"),d(we,"href","https://huggingface.co/google/vit-hybrid-base-bit-384"),d(we,"rel","nofollow"),d(Ye,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),d(Ze,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig"),d(Qe,"href","/docs/transformers/v4.26.1/en/main_classes/configuration#transformers.PretrainedConfig.to_dict"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"id","transformers.ViTHybridImageProcessor"),d(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ee,"href","#transformers.ViTHybridImageProcessor"),d(W,"class","relative group"),d(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"id","transformers.ViTHybridModel"),d(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(te,"href","#transformers.ViTHybridModel"),d(U,"class","relative group"),d(ze,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ze,"rel","nofollow"),d(eo,"href","/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridModel"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"id","transformers.ViTHybridForImageClassification"),d(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(se,"href","#transformers.ViTHybridForImageClassification"),d(G,"class","relative group"),d(Ne,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ne,"rel","nofollow"),d(oo,"href","/docs/transformers/v4.26.1/en/model_doc/vit_hybrid#transformers.ViTHybridForImageClassification"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){o(document.head,m),f(e,y,c),f(e,_,c),o(_,g),o(g,b),$(l,b,null),o(_,u),o(_,E),o(E,it),f(e,Ao,c),f(e,q,c),o(q,X),o(X,mo),$(pe,mo,null),o(q,lt),o(q,ho),o(ho,dt),f(e,Mo,c),f(e,x,c),o(x,ct),o(x,fe),o(fe,mt),o(x,ht),o(x,Re),o(Re,pt),o(x,ft),o(x,Le),o(Le,gt),o(x,ut),f(e,jo,c),f(e,We,c),o(We,_t),f(e,No,c),f(e,Ue,c),o(Ue,po),o(po,bt),f(e,Fo,c),f(e,j,c),o(j,yt),o(j,ge),o(ge,vt),o(j,Tt),o(j,ue),o(ue,$t),o(j,wt),f(e,qo,c),f(e,D,c),o(D,K),o(K,fo),$(_e,fo,null),o(D,Vt),o(D,go),o(go,Ht),f(e,Do,c),f(e,Be,c),o(Be,It),f(e,So,c),$(be,e,c),f(e,Oo,c),f(e,Ge,c),o(Ge,N),o(N,Je),o(Je,kt),o(N,Pt),o(N,ye),o(ye,xt),o(N,Ct),o(N,ve),o(ve,zt),o(N,Et),f(e,Ro,c),f(e,Xe,c),o(Xe,At),f(e,Lo,c),f(e,S,c),o(S,Y),o(Y,uo),$(Te,uo,null),o(S,Mt),o(S,_o),o(_o,jt),f(e,Wo,c),f(e,I,c),$($e,I,null),o(I,Nt),o(I,O),o(O,Ft),o(O,Ke),o(Ke,qt),o(O,Dt),o(O,we),o(we,St),o(O,Ot),o(I,Rt),o(I,R),o(R,Lt),o(R,Ye),o(Ye,Wt),o(R,Ut),o(R,Ze),o(Ze,Bt),o(R,Gt),o(I,Jt),$(Z,I,null),o(I,Xt),o(I,Q),$(Ve,Q,null),o(Q,Kt),o(Q,L),o(L,Yt),o(L,Qe),o(Qe,Zt),o(L,Qt),o(L,bo),o(bo,er),o(L,or),f(e,Uo,c),f(e,W,c),o(W,ee),o(ee,yo),$(He,yo,null),o(W,tr),o(W,vo),o(vo,rr),f(e,Bo,c),f(e,A,c),$(Ie,A,null),o(A,ar),o(A,To),o(To,sr),o(A,nr),o(A,oe),$(ke,oe,null),o(oe,ir),o(oe,$o),o($o,lr),f(e,Go,c),f(e,U,c),o(U,te),o(te,wo),$(Pe,wo,null),o(U,dr),o(U,Vo),o(Vo,cr),f(e,Jo,c),f(e,M,c),$(xe,M,null),o(M,mr),o(M,Ce),o(Ce,hr),o(Ce,ze),o(ze,pr),o(Ce,fr),o(M,gr),o(M,C),$(Ee,C,null),o(C,ur),o(C,B),o(B,_r),o(B,eo),o(eo,br),o(B,yr),o(B,Ho),o(Ho,vr),o(B,Tr),o(C,$r),$(re,C,null),o(C,wr),$(ae,C,null),f(e,Xo,c),f(e,G,c),o(G,se),o(se,Io),$(Ae,Io,null),o(G,Vr),o(G,ko),o(ko,Hr),f(e,Ko,c),f(e,k,c),$(Me,k,null),o(k,Ir),o(k,Po),o(Po,kr),o(k,Pr),o(k,je),o(je,xr),o(je,Ne),o(Ne,Cr),o(je,zr),o(k,Er),o(k,z),$(Fe,z,null),o(z,Ar),o(z,J),o(J,Mr),o(J,oo),o(oo,jr),o(J,Nr),o(J,xo),o(xo,Fr),o(J,qr),o(z,Dr),$(ne,z,null),o(z,Sr),$(ie,z,null),Yo=!0},p(e,[c]){const qe={};c&2&&(qe.$$scope={dirty:c,ctx:e}),Z.$set(qe);const Co={};c&2&&(Co.$$scope={dirty:c,ctx:e}),re.$set(Co);const zo={};c&2&&(zo.$$scope={dirty:c,ctx:e}),ae.$set(zo);const Eo={};c&2&&(Eo.$$scope={dirty:c,ctx:e}),ne.$set(Eo);const De={};c&2&&(De.$$scope={dirty:c,ctx:e}),ie.$set(De)},i(e){Yo||(w(l.$$.fragment,e),w(pe.$$.fragment,e),w(_e.$$.fragment,e),w(be.$$.fragment,e),w(Te.$$.fragment,e),w($e.$$.fragment,e),w(Z.$$.fragment,e),w(Ve.$$.fragment,e),w(He.$$.fragment,e),w(Ie.$$.fragment,e),w(ke.$$.fragment,e),w(Pe.$$.fragment,e),w(xe.$$.fragment,e),w(Ee.$$.fragment,e),w(re.$$.fragment,e),w(ae.$$.fragment,e),w(Ae.$$.fragment,e),w(Me.$$.fragment,e),w(Fe.$$.fragment,e),w(ne.$$.fragment,e),w(ie.$$.fragment,e),Yo=!0)},o(e){V(l.$$.fragment,e),V(pe.$$.fragment,e),V(_e.$$.fragment,e),V(be.$$.fragment,e),V(Te.$$.fragment,e),V($e.$$.fragment,e),V(Z.$$.fragment,e),V(Ve.$$.fragment,e),V(He.$$.fragment,e),V(Ie.$$.fragment,e),V(ke.$$.fragment,e),V(Pe.$$.fragment,e),V(xe.$$.fragment,e),V(Ee.$$.fragment,e),V(re.$$.fragment,e),V(ae.$$.fragment,e),V(Ae.$$.fragment,e),V(Me.$$.fragment,e),V(Fe.$$.fragment,e),V(ne.$$.fragment,e),V(ie.$$.fragment,e),Yo=!1},d(e){t(m),e&&t(y),e&&t(_),H(l),e&&t(Ao),e&&t(q),H(pe),e&&t(Mo),e&&t(x),e&&t(jo),e&&t(We),e&&t(No),e&&t(Ue),e&&t(Fo),e&&t(j),e&&t(qo),e&&t(D),H(_e),e&&t(Do),e&&t(Be),e&&t(So),H(be,e),e&&t(Oo),e&&t(Ge),e&&t(Ro),e&&t(Xe),e&&t(Lo),e&&t(S),H(Te),e&&t(Wo),e&&t(I),H($e),H(Z),H(Ve),e&&t(Uo),e&&t(W),H(He),e&&t(Bo),e&&t(A),H(Ie),H(ke),e&&t(Go),e&&t(U),H(Pe),e&&t(Jo),e&&t(M),H(xe),H(Ee),H(re),H(ae),e&&t(Xo),e&&t(G),H(Ae),e&&t(Ko),e&&t(k),H(Me),H(Fe),H(ne),H(ie)}}}const Ka={local:"hybrid-vision-transformer-vit-hybrid",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.ViTHybridConfig",title:"ViTHybridConfig"},{local:"transformers.ViTHybridImageProcessor",title:"ViTHybridImageProcessor"},{local:"transformers.ViTHybridModel",title:"ViTHybridModel"},{local:"transformers.ViTHybridForImageClassification",title:"ViTHybridForImageClassification"}],title:"Hybrid Vision Transformer (ViT Hybrid)"};function Ya(P){return Ra(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ss extends qa{constructor(m){super();Da(this,m,Ya,Xa,Sa,{})}}export{ss as default,Ka as metadata};
